Page MenuHomeFreeBSD

www/moinmoincli: A new port to edit MoinMoin wiki pages from a command line
ClosedPublic

Authored by 0mp on Aug 17 2018, 10:49 AM.

Details

Summary

Requested by: thj

Test Plan
  • portlint: OK
  • poudriere: 11.2 i386 OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Aug 17 2018, 10:49 AM
mat added inline comments.Aug 17 2018, 3:44 PM
www/moinmoincli/pkg-plist
3 ↗(On Diff #46828)

You need to add an EXAMPLES option to use PORTEXAMPLES.

0mp updated this revision to Diff 46863.Aug 17 2018, 9:21 PM

Remove %%PORTEXAMPLES%% from pkg-plist as the EXAMPLES option is not defined.

0mp marked an inline comment as done.Aug 17 2018, 9:22 PM
0mp added inline comments.
www/moinmoincli/pkg-plist
3 ↗(On Diff #46828)

The configuration file is actually pretty important so I don't think I should add an EXAMPLES option.

0mp marked an inline comment as done.Aug 17 2018, 9:22 PM
mat added inline comments.Aug 18 2018, 9:52 AM
www/moinmoincli/Makefile
14 ↗(On Diff #46863)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

0mp updated this revision to Diff 46885.Aug 18 2018, 10:31 AM

Move SUB_FILES to the block for standard bsd.port.mk variables.

Thanks mat@!

0mp updated this revision to Diff 46887.Aug 18 2018, 10:34 AM

Upload all the changes once again.

It turns out that "arc diff --update" has to reupload all the files everytime it's run.

0mp marked 2 inline comments as done.Aug 22 2018, 10:58 AM

@mat, I think it's ready.

mat accepted this revision.Aug 22 2018, 11:34 AM
This revision is now accepted and ready to land.Aug 22 2018, 11:34 AM
This revision was automatically updated to reflect the committed changes.